# All the reconf code can be removed once upstream configure supports IBM i
%bcond_without reconf

Name: tmux
Version: 3.0a
Release: 2
License: ISC
Summary: Terminal Multiplexer
Url: https://tmux.github.io/

Source0: https://github.com/tmux/tmux/releases/download/%{version}/tmux-%{version}.tar.gz
Patch0: tmux-pase.patch
Patch1: tmux-fnm-casefold.patch

%if %{with reconf}
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: m4-gnu
BuildRequires: pkg-config
%endif

BuildRequires: libevent-devel
BuildRequires: libutil-devel
BuildRequires: ncurses-devel

Requires: libutil2 >= 0.7.0

%description
tmux is a "terminal multiplexer", it enables a number of terminals (or windows)
to be accessed and controlled from a single terminal. tmux is intended to be a
simple, modern, BSD-licensed alternative to programs such as GNU screen.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%if %{with reconf}
autoreconf -fiv .
%endif

%build

%define default_path %{_bindir}:/QOpenSys/usr/bin:/usr/ccs/bin:/QOpenSys/usr/bin/X11:/usr/sbin:/usr/bin

%configure \
  CPPFLAGS="-I%{_includedir}/ncurses -D_PATH_BSHELL='\"/QOpenSys/usr/bin/bsh\"' -D_PATH_DEFPATH='\"%{default_path}\"'" \
  LDFLAGS="-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  # end
  
%make_build

%install

%make_install

%files
%defattr(-, qsys, *none)

%{_bindir}/tmux
%{_mandir}/man1/tmux.1

%changelog
* Sun Apr 12 2020 Mark Irish <mirish@ibm.com> - 3.0a
- Require libutil2 >= 0.7.0 for libutil_flock, needed by tmux

* Tue Mar 03 2020 Kevin Adler <kadler@us.ibm.com> - 2.4
- Add patches for PASE - thanks to Calvin Buckley for figuring this out!
- Clean up build flags and build with ncurses
- Bump to 3.0a and backport FNM_CASEFOLD patch

* Wed Dec 20 2017 - Kevin Adler <kadler@us.ibm.com>
- Pretend to be AIX to get AIX configure-isms, since running
  autoreconf fails to run successfully
- Add missing build requirements

* Wed Dec 20 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove 64-bit GCC script workarounds
- OBJECT_MODE now always set by build and install macros

* Wed Nov 22 2017 - Kevin Adler <kadler@us.ibm.com>
- Build against ncurses

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove old TODOs

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Use auto dependency resolution instead of requiring pase-libs

* Tue Nov 07 2017 - Kevin Adler <kadler@us.ibm.com>
- Fix license
